# BEGIN SourceDeps(oneline):
BuildRequires: perl(Date/Parse.pm) perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(Finance/OFX/Parse.pm) perl(HTML/TableExtract.pm) perl(HTTP/Cookies.pm) perl(LWP/UserAgent.pm) perl(Locale/Currency/Format.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Finance-Bank-US-ShareBuilder
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Check positions and transactions for US ShareBuilder investment accounts
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SS/SSEVERIN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module provides methods to access data from US ShareBuilder accounts,.including positions and recent transactions, which can be provided in OFX
format (see Finance::OFX) or in parsed lists.

There is no support yet for executing transactions. Code for listing sell
transactions was written by analogy based on the OFX spec and has not
been tested, due to a lack of data.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/F*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

